Bug 546624 - RFE: Add debug to bonding driver as module option
Summary: RFE: Add debug to bonding driver as module option
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.0
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Jiri Pirko
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Keywords: FutureFeature
Depends On: 247116
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-11 13:45 UTC by Jiri Pirko
Modified: 2015-05-05 01:18 UTC (History)
7 users (show)

(edit)
Clone Of: 247116
(edit)
Last Closed: 2010-03-30 07:44:19 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0178 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.5 kernel security and bug fix update 2010-03-29 12:18:21 UTC

Description Jiri Pirko 2009-12-11 13:45:10 UTC
+++ This bug was initially created as a clone of Bug #247116 +++

Description of problem:

Currently the only way to enable debug functionality in the bonding driver is to
modify bond_main.c and recompile.  Would like to see this as a runtime module
option.

Comment 2 RHEL Product and Program Management 2009-12-15 03:12:21 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 3 Don Zickus 2009-12-16 19:02:43 UTC
in kernel-2.6.18-182.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please update the appropriate value in the Verified field
(cf_verified) to indicate this fix has been successfully
verified. Include a comment with verification details.

Comment 7 errata-xmlrpc 2010-03-30 07:44:19 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0178.html


Note You need to log in before you can comment on or make changes to this bug.